{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.starfish.main": {
      "states": {
        "default": {
          "transitions": [
            {
              "moving": "q.modified_move_speed > 0.001"
            },
            {
              "idle_event": "math.random_integer(0, 100) == 0 && q.modified_move_speed < 0.001"
            }
          ]
        },
        "moving": {
          "animations": [
            "walk"
          ],
          "transitions": [
            {
              "default": "q.modified_move_speed < 0.001"
            }
          ],
          "blend_transition": 0.5
        },
        "idle_event": {
          "on_entry": [
            "v.choose_event = math.random_integer(1,5);"
          ],
          "animations": [
            {
              "idle_event_1": "v.choose_event == 1"
            },
            {
              "idle_event_2": "v.choose_event == 2"
            },
            {
              "idle_event_3": "v.choose_event == 3"
            },
            {
              "idle_event_4": "v.choose_event == 4"
            },
            {
              "idle_event_5": "v.choose_event == 5"
            }
          ],
          "transitions": [
            {
              "default": "q.any_animation_finished"
            }
          ],
          "blend_transition": 0.5
        }
      }
    }
  }
}
